org.jboss.jca.embedded.dsl.datasources11.api

## Interface PoolType<T>

- All Superinterfaces:
    org.jboss.shrinkwrap.descriptor.api.Child<T>

      public interface PoolType<T>
      extends org.jboss.shrinkwrap.descriptor.api.Child<T>

  This interface defines the contract for the `poolType` xsd type

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `PoolType<T>` | `allowMultipleUsers()` Sets the `allow-multiple-users` element
    `PoolType<T>` | `flushStrategy(java.lang.String flushStrategy)` Sets the `flush-strategy` element
    `java.lang.String` | `getFlushStrategy()` Returns the `flush-strategy` element
    `java.lang.Integer` | `getMaxPoolSize()` Returns the `max-pool-size` element
    `java.lang.Integer` | `getMinPoolSize()` Returns the `min-pool-size` element
    `java.lang.Boolean` | `isAllowMultipleUsers()` Removes the `allow-multiple-users` element
    `java.lang.Boolean` | `isPrefill()` Returns the `prefill` element
    `java.lang.Boolean` | `isUseStrictMin()` Returns the `use-strict-min` element
    `PoolType<T>` | `maxPoolSize(java.lang.Integer maxPoolSize)` Sets the `max-pool-size` element
    `PoolType<T>` | `minPoolSize(java.lang.Integer minPoolSize)` Sets the `min-pool-size` element
    `PoolType<T>` | `prefill(java.lang.Boolean prefill)` Sets the `prefill` element
    `PoolType<T>` | `removeAllowMultipleUsers()` Removes the `allow-multiple-users` element
    `PoolType<T>` | `removeFlushStrategy()` Removes the `flush-strategy` element
    `PoolType<T>` | `removeMaxPoolSize()` Removes the `max-pool-size` element
    `PoolType<T>` | `removeMinPoolSize()` Removes the `min-pool-size` element
    `PoolType<T>` | `removePrefill()` Removes the `prefill` element
    `PoolType<T>` | `removeUseStrictMin()` Removes the `use-strict-min` element
    `PoolType<T>` | `useStrictMin(java.lang.Boolean useStrictMin)` Sets the `use-strict-min` element

    - ### Methods inherited from interface org.jboss.shrinkwrap.descriptor.api.Child

      `up`

- - ### Method Detail

    - #### minPoolSize

          PoolType<T> minPoolSize(java.lang.Integer minPoolSize)

      Sets the `min-pool-size` element
      Parameters:
        `minPoolSize` - the value for the element `min-pool-size`
      Returns:
        the current instance of `PoolType`

    - #### getMinPoolSize

          java.lang.Integer getMinPoolSize()

      Returns the `min-pool-size` element
      Returns:
        the node defined for the element `min-pool-size`

    - #### removeMinPoolSize

          PoolType<T> removeMinPoolSize()

      Removes the `min-pool-size` element
      Returns:
        the current instance of `PoolType`

    - #### maxPoolSize

          PoolType<T> maxPoolSize(java.lang.Integer maxPoolSize)

      Sets the `max-pool-size` element
      Parameters:
        `maxPoolSize` - the value for the element `max-pool-size`
      Returns:
        the current instance of `PoolType`

    - #### getMaxPoolSize

          java.lang.Integer getMaxPoolSize()

      Returns the `max-pool-size` element
      Returns:
        the node defined for the element `max-pool-size`

    - #### removeMaxPoolSize

          PoolType<T> removeMaxPoolSize()

      Removes the `max-pool-size` element
      Returns:
        the current instance of `PoolType`

    - #### prefill

          PoolType<T> prefill(java.lang.Boolean prefill)

      Sets the `prefill` element
      Parameters:
        `prefill` - the value for the element `prefill`
      Returns:
        the current instance of `PoolType`

    - #### isPrefill

          java.lang.Boolean isPrefill()

      Returns the `prefill` element
      Returns:
        the node defined for the element `prefill`

    - #### removePrefill

          PoolType<T> removePrefill()

      Removes the `prefill` element
      Returns:
        the current instance of `PoolType`

    - #### useStrictMin

          PoolType<T> useStrictMin(java.lang.Boolean useStrictMin)

      Sets the `use-strict-min` element
      Parameters:
        `useStrictMin` - the value for the element `use-strict-min`
      Returns:
        the current instance of `PoolType`

    - #### isUseStrictMin

          java.lang.Boolean isUseStrictMin()

      Returns the `use-strict-min` element
      Returns:
        the node defined for the element `use-strict-min`

    - #### removeUseStrictMin

          PoolType<T> removeUseStrictMin()

      Removes the `use-strict-min` element
      Returns:
        the current instance of `PoolType`

    - #### flushStrategy

          PoolType<T> flushStrategy(java.lang.String flushStrategy)

      Sets the `flush-strategy` element
      Parameters:
        `flushStrategy` - the value for the element `flush-strategy`
      Returns:
        the current instance of `PoolType`

    - #### getFlushStrategy

          java.lang.String getFlushStrategy()

      Returns the `flush-strategy` element
      Returns:
        the node defined for the element `flush-strategy`

    - #### removeFlushStrategy

          PoolType<T> removeFlushStrategy()

      Removes the `flush-strategy` element
      Returns:
        the current instance of `PoolType`

    - #### allowMultipleUsers

          PoolType<T> allowMultipleUsers()

      Sets the `allow-multiple-users` element
      Returns:
        the current instance of `PoolType`

    - #### isAllowMultipleUsers

          java.lang.Boolean isAllowMultipleUsers()

      Removes the `allow-multiple-users` element
      Returns:
        the current instance of `PoolType`

    - #### removeAllowMultipleUsers

          PoolType<T> removeAllowMultipleUsers()

      Removes the `allow-multiple-users` element
      Returns:
        the current instance of `PoolType`

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)